import request from '@/utils/request'

// 工程监理--问题跟踪台账列表
export function apiSupervisionProblemLists(params: any) {
    return request.get({ url: '/supervision_work.supervision_problem/lists', params })
}

// 添加工程监理--问题跟踪台账
export function apiSupervisionProblemAdd(params: any) {
    return request.post({ url: '/supervision_work.supervision_problem/add', params })
}

// 编辑工程监理--问题跟踪台账
export function apiSupervisionProblemEdit(params: any) {
    return request.post({ url: '/supervision_work.supervision_problem/edit', params })
}

// 删除工程监理--问题跟踪台账
export function apiSupervisionProblemDelete(params: any) {
    return request.post({ url: '/supervision_work.supervision_problem/delete', params })
}

// 工程监理--问题跟踪台账详情
export function apiSupervisionProblemDetail(params: any) {
    return request.get({ url: '/supervision_work.supervision_problem/detail', params })
}
// 检查验收
export function apisupervision_problem(params: any) {
    return request.post({ url: '/supervision_work.supervision_problem/check', params })
}